<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products_sublocations', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('product_id');
            $table->unsignedBigInteger('parent_location')->nullable();
            $table->unsignedBigInteger('location_id')->nullable();
            $table->enum('location_type', ['depot', 'emplacement'])->nullable();

            $table->foreign('product_id')
                  ->references('id')->on('products')
                  ->onDelete('cascade');
                
            $table->foreign('parent_location')
                  ->references('id')->on('locations')
                  ->onDelete('cascade');

            $table->foreign('location_id')
                  ->references('id')->on('locations')
                  ->onDelete('cascade');


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products_sublocations');
    }
};
