<?php

use Illuminate\Support\Facades\Route;
use modules\catalogs\Http\Controllers\catalogsController;
use modules\catalogs\Http\Controllers\CategoryController;
use modules\catalogs\Http\Controllers\ProductController;
use modules\catalogs\Http\Controllers\StockController;

Route::prefix('catalog')
    ->as('app.catalogs.')
    ->middleware(['web', 'auth'])
    ->group(function(){

    Route::get('/load/data', [catalogsController::class, 'loaddata'])->name('load.data');

    Route::prefix('category')->as('category.')->group(function(){
        Route::get('/', [CategoryController::class, 'index'])->name('index');
        Route::get('/create', [CategoryController::class, 'create'])->name('create');
        Route::get('/edit/{slug}', [CategoryController::class, 'edit'])->name('edit');
        Route::get('/get/categories', [CategoryController::class, 'categories'])->name('categories');

        

        Route::post('/store', [CategoryController::class, 'store'])->name('store');
        Route::post('/update', [CategoryController::class, 'update'])->name('update');
        Route::post('/status', [CategoryController::class, 'status'])->name('status');
        Route::post('/reorder', [CategoryController::class, 'reorder'])->name('reorder');

        Route::delete('/delete/{id}', [CategoryController::class, 'destroy'])->name('delete');
    });

    Route::prefix('product')->as('product.')->group(function(){
        Route::get('/', [ProductController::class, 'index'])->name('index');
        Route::get('/edit/{slug}', [ProductController::class, 'edit'])->name('edit');
        Route::get('/get/products', [ProductController::class, 'products'])->name('products');
        Route::post('/export/products', [ProductController::class, 'export'])->name('export');

        Route::get('/get/products', [ProductController::class, 'products'])->name('products'); 
        Route::get('/get/containers', [ProductController::class, 'containers'])->name('container.get');       
        
        Route::post('/create', [ProductController::class, 'create'])->name('create');

        Route::delete('/delete/{id}', [ProductController::class, 'destroy'])->name('delete');

        Route::as('update.')->prefix('update')->controller(ProductController::class)->group(function(){
            Route::post('/info', 'update_info')->name('info');
            Route::post('/price', 'update_price')->name('price');
            Route::post('/location', 'update_location')->name('location');
        });

        Route::as('hs.')->prefix('hs')->controller(ProductController::class)->group(function(){
            Route::get('/motif', 'hs_motif')->name('motif.get');
            Route::post('/motif/store', 'hs_motif_store')->name('motif.store');
        });

        Route::as('stock.')->prefix('stock')->controller(StockController::class)->group(function(){
            Route::get('story', 'stock_story')->name('story');
            Route::get('control', 'stock_control')->name('control');
            Route::get('hs', 'stock_hs')->name('hs');
        });

        
    });
});