<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('customers_groups', function (Blueprint $table) {
            $table->id();
            $table->string("title");        
            $table->enum('rate_type', ['none', 'reduction', 'augmentation', 'custom']);
            $table->double('rate_value');
            $table->boolean('b2b')->default(0);
            $table->boolean('credit')->default(0);
            $table->boolean('is_default')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('customers_groups');
    }
};
