<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Session;
use modules\crm\Http\Controllers\CrmController;
use modules\crm\Http\Controllers\SettingController;

Route::prefix('crm/{type}')
    ->middleware(['web', 'auth'])
    ->as('app.crm.')
    ->group(function(){

    Route::get('/', [CrmController::class, 'index'])->name('index'); 
    Route::get('/nouveau', [CrmController::class, 'create'])->name('create'); 
    Route::get('/detail/{slug}', [CrmController::class, 'detail'])->name('detail');     
    
    Route::get('/get/data', [CrmController::class, 'data'])->name('data'); 
    Route::get('/get/customer', [CrmController::class, 'customers'])->name('customers'); 
    
    Route::post("store", [CrmController::class, "store"])->name('store');
    Route::post("info", [CrmController::class, "info"])->name('info');
    Route::post("field", [CrmController::class, "fieldUpdate"])->name('field');
    Route::post("document", [CrmController::class, "documents"])->name('document');
    Route::post('logo', [CrmController::class, 'logo'])->name("logo");
    Route::post('status', [CrmController::class, 'status'])->name("status");
    
    Route::delete("{id}/document", [CrmController::class, "document_destroy"])->name('document.delete');
    Route::delete("{id}/delete", [CrmController::class, "destroy"])->name('delete');

    Route::prefix('setting')->as('setting.')->group(function(){
        Route::get('/', [SettingController::class, 'index'])->name('index'); 
        Route::get('/groups', [SettingController::class, 'groups'])->name('groups');             
        
        Route::put('/groups/status', [SettingController::class, 'groupStatus'])->name('group.status'); 

        Route::post('/groups/save', [SettingController::class, 'groupSave'])->name('group.save'); 

        Route::delete('/groups/{id}/delete', [SettingController::class, 'groupDestroy'])->name('group.delete'); 

        #NUMEROTATION
        Route::get('/numerotation', [SettingController::class, 'numerotation'])->name('numerotation.get'); 
        Route::post('/numerotation/save', [SettingController::class, 'numerotationSave'])->name('numerotation.save'); 
        #NUMEROTATION
    });
});