import PrimeVue from 'primevue/config';
import Aura from '@primevue/themes/aura';
import { ZiggyVue } from '../../../../vendor/tightenco/ziggy/dist';
import { createApp } from 'vue';

const app = createApp({});

app.use(ZiggyVue)
    .use(PrimeVue, {
        ripple: true,
        theme: {
            preset: Aura
        }
    });

const appContainer = document.querySelector('.app-container');
const appId = appContainer.getAttribute('app');

const components = {
    'list': () => import('./components/List.vue'),    
    'finance': () => import('./components/Finance.vue'),    
}

if (components[appId]) {
    components[appId]().then(({ default: component }) => {
        app.component(appId.replace(/-/g, ''), component).mount(`#dashboard`);
    });
} else {
    app.mount("#app");
}