<?php

namespace modules\location\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;
use modules\catalogs\Models\ProductLocation;
use modules\catalogs\Models\ProductPrice;
use modules\catalogs\Models\Products;
use modules\sales\Models\AccountingDocument;
use modules\sales\Models\Invoice;

class Location extends Model
{
    use HasFactory, Notifiable;

    protected $table = "locations";
    protected $fillable = [
        'parent_id',
        'title',
        'type',
        'description',
        'address',
        'slug',
        'status',
        'is_parent',
        'has_delivery',
        'stock_management',
        'parent_marge',
        'header',
        'footer',
        'logo'
    ];

    public function child(){
        return $this->hasMany(Location::class, 'parent_id');
    }

    public function parent(){
        return $this->hasMany(Location::class, 'id', 'parent_id');
    }

    public function products()
    {
        return $this->hasManyThrough(Products::class, ProductLocation::class, 'location_id', 'id', 'id', 'product_id');
    }

    public function invoices() {
        return $this->hasMany(AccountingDocument::class, 'location_id')->where('document_type', 'invoice');
    }
}