import PrimeVue from 'primevue/config';
import Aura from '@primevue/themes/aura';
import { ZiggyVue } from '../../../../vendor/tightenco/ziggy/dist';
import { createApp } from 'vue';

import CKEditor from '@ckeditor/ckeditor5-vue';

import List from './components/List.vue';
import Invoice from './components/Invoice.vue';
import Detail from './components/InvoiceDetail.vue';
import Payment from './components/InvoicePayment.vue';


const app = createApp({});

app.use(ZiggyVue)
    .use(CKEditor)
    .use(PrimeVue, {
        ripple: true,
        theme: {
            preset: Aura
        }
    });

app.component('List', List);
app.component('Invoice', Invoice);
app.component('detail', Detail);
app.component('payment', Payment);

app.mount('#location');