<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create("accounting_documents_logs", function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger("accounting_document_id")->nullable();
            $table->string("reference")->nullable();

            $table->unsignedBigInteger("accounting_document_status_id")->nullable();
            $table->string("accounting_document_status")->nullable();

            $table->text("title");

            $table->unsignedBigInteger("user_id")->nullable();
            $table->string("username")->nullable();

            $table->foreign("accounting_document_id")->on("accounting_documents")->references("id")->onDelete("set null");
            $table->foreign("accounting_document_status_id")->on("accounting_documents_status")->references("id")->onDelete("set null");
            $table->foreign("user_id")->on("users")->references("id")->onDelete("set null");

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists("accounting_documents_stories");
    }
};
