<?php

namespace modules\stocks\Models;

use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use modules\catalogs\Models\Products;
use modules\location\Models\Location;

class InventoryDetail extends Model
{
    use HasFactory;

    protected $table = "inventories_details";
    protected $fillable = [
        'inventory_id',
        'product_id',
        'product',
        'product_image',
        'product_category',
        'product_reference',
        'stock_actual',
        'stock_final',
        'stock_regul',
        'product_purchase_price',
        'purchase_price_regul',
        'create_by',
        'update_by',
    ];

    public function product()
    {
        return $this->belongsTo(Products::class, 'product_id');
    }

    public function inventory()
    {
        return $this->belongsTo(Inventory::class, 'inventory_id');
    }

}