<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('appros', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('location_id')->nullable(); // Make location_id nullable
            $table->string('title');
            $table->string('document')->nullable();
            $table->date('date_appro')->nullable();
            $table->text('observation')->nullable();
            $table->string('token');
            $table->foreign('location_id')->references('id')->on('locations')->onDelete('set null'); // Foreign key constraint
            $table->timestamps();
        });
        
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('appros');
    }
};
