import PrimeVue from 'primevue/config';
import Aura from '@primevue/themes/aura';
import { ZiggyVue } from '../../../../vendor/tightenco/ziggy/dist';
import { createApp } from 'vue';

const app = createApp({});

app.use(ZiggyVue)
    .use(PrimeVue, {
        ripple: true,
        theme: {
            preset: Aura
        }
    });

const appContainer = document.querySelector('.app-container');
const appId = appContainer.getAttribute('app');

console.log(appId);

const components = {
    'inventory-list': () => import('./components/Inventory/Index.vue'),   
    'inventory-detail': () => import('./components/Inventory/Detail.vue'),   

    'transfert-list': () => import('./components/Transfer/List.vue'),    
    'transfert-detail': () => import('./components/Transfer/Detail.vue'),

    'appro-create': () => import('./components/Appro/Create.vue'),
    'appro-list': () => import('./components/Appro/List.vue'),
    'appro-detail': () => import('./components/Appro/Detail.vue'),
}

if (components[appId]) {
    components[appId]().then(({ default: component }) => {        
        app.component(appId.replace(/-/g, ''), component).mount(`#stocks`);
    });
} else {
    app.mount("#app");
}